commit:     d680bf6ba9b5f573c41f93f87d7fd46ad84e5dd0
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 18 17:45:49 2016 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Thu Feb 18 17:45:58 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d680bf6b

dev-python/doit-py: Bump

Package-Manager: portage-2.2.27

 dev-python/doit-py/Manifest             |  1 +
 dev-python/doit-py/doit-py-0.4.0.ebuild | 41 +++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-python/doit-py/Manifest b/dev-python/doit-py/Manifest
index b2c8982..71e6139 100644
--- a/dev-python/doit-py/Manifest
+++ b/dev-python/doit-py/Manifest
@@ -1 +1,2 @@
 DIST doit-py-0.3.0.tar.gz 16151 SHA256 
af015e61b1aade838d299a508e72b35d714b67a9b903c65c2863427f5c3883fc SHA512 
c6cbb326a7635b78d0c22ff7db8a722aedf8d66b85db4017e1a2566f1d8f1f96d4e00407cfec2180d20091addaf731a916da1a3970553cb4bebec87df90fc609
 WHIRLPOOL 
becc06fd65d0afcf2b9034f7943f5cb01362ad06dabc154051dd5c5d0bf0b4cc35b94e5ee0a54b873ac1c32c82cd122b78e274fda597252ebdda1f5b78ef09dd
+DIST doit-py-0.4.0.tar.gz 16534 SHA256 
46896bbb592ecb954397de5dc525e74f46dfb578ecfb53b7c57d7f798d57e2be SHA512 
72aa850928c99bf43eefd827334b361243da3b26283fa358ed3f7fba72d1916b1cbe50e581d3d62ed3b4f0efb9b5d1e7f59c3dc913b2ee27e6503bf4e47def33
 WHIRLPOOL 
0c9180a92e29d4bf2338c33af6e4fa3f23cfe6b5a35ee3c8eb060961a311796b8d1c342074a917bfc373f068e28a3c883fcb9bcb9be45057d44c35ef9838b6a6

diff --git a/dev-python/doit-py/doit-py-0.4.0.ebuild 
b/dev-python/doit-py/doit-py-0.4.0.ebuild
new file mode 100644
index 0000000..086f6e1
--- /dev/null
+++ b/dev-python/doit-py/doit-py-0.4.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="doit tasks for python stuff"
+HOMEPAGE="http://pythonhosted.org/doit-py";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/coverage[${PYTHON_USEDEP}]
+               dev-python/singledispatch[${PYTHON_USEDEP}]
+               app-text/hunspell )
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+RDEPEND="
+       virtual/python-pathlib[${PYTHON_USEDEP}]
+       dev-python/doit[${PYTHON_USEDEP}]
+       dev-python/configclass[${PYTHON_USEDEP}]"
+
+python_compile_all() {
+       use doc && emake -C doc html
+}
+
+python_test() {
+       py.test || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( doc/_build/html/. )
+       distutils-r1_python_install_all
+}

Reply via email to